<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Getter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html">Getter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Getter Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A getter in the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a09b2bf80f22514688d94e89e671cf1f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#a09b2bf80f22514688d94e89e671cf1f8">Getter</a> ()</td></tr>
<tr class="separator:a09b2bf80f22514688d94e89e671cf1f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b78ac6b1ca0e94e62d8e59ad95e88be"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#a2b78ac6b1ca0e94e62d8e59ad95e88be">Getter</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> body)</td></tr>
<tr class="separator:a2b78ac6b1ca0e94e62d8e59ad95e88be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0d6ef449051c570b2b6d690f03b0fdb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html">Getter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#ab0d6ef449051c570b2b6d690f03b0fdb">WithMethodBody</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> body)</td></tr>
<tr class="separator:ab0d6ef449051c570b2b6d690f03b0fdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a8458001b460ceac678955f23110ac051"><td class="memItemLeft" align="right" valign="top">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#a8458001b460ceac678955f23110ac051">Body</a><code> [get]</code></td></tr>
<tr class="memdesc:a8458001b460ceac678955f23110ac051"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html" title="A method in the syntax tree">Method</a> body of the getter  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#a8458001b460ceac678955f23110ac051">More...</a><br /></td></tr>
<tr class="separator:a8458001b460ceac678955f23110ac051"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A getter in the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a09b2bf80f22514688d94e89e671cf1f8" name="a09b2bf80f22514688d94e89e671cf1f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09b2bf80f22514688d94e89e671cf1f8">&#9670;&nbsp;</a></span>Getter() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Getter.Getter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2b78ac6b1ca0e94e62d8e59ad95e88be" name="a2b78ac6b1ca0e94e62d8e59ad95e88be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b78ac6b1ca0e94e62d8e59ad95e88be">&#9670;&nbsp;</a></span>Getter() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Getter.Getter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td>
          <td class="paramname"><em>body</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab0d6ef449051c570b2b6d690f03b0fdb" name="ab0d6ef449051c570b2b6d690f03b0fdb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0d6ef449051c570b2b6d690f03b0fdb">&#9670;&nbsp;</a></span>WithMethodBody()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html">Getter</a> xAPI_Definitions_Parser.Code.SyntaxTree.Getter.WithMethodBody </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td>
          <td class="paramname"><em>body</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a8458001b460ceac678955f23110ac051" name="a8458001b460ceac678955f23110ac051"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8458001b460ceac678955f23110ac051">&#9670;&nbsp;</a></span>Body</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref readonly <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> xAPI_Definitions_Parser.Code.SyntaxTree.Getter.Body</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html" title="A method in the syntax tree">Method</a> body of the getter </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_getter_8cs.html">Getter.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
